// ----------------------------------------------------------------------------
//
// HalloDelphi                                           Ulrich Mller 20.11.09
//                                                       PCS1700       Delphi 4
// Kleines Beispiel zur Nutzung von umFish50.DLL
// ROBO TX Controller an COM4, ggf. in txOpenController anpassen
// Taster an I3, Lampen an O5 und O6
//
// Achtung : in Men Projekt | Optionen | Linker |
//           TextBildschirmanwendung markieren
//
// ----------------------------------------------------------------------------

program HalloDelphi50;

uses
  Windows,
  SysUtils,
  umFish50 in 'umFish50.PAS';
var
  tx, i: LongInt;
begin
  tx := txOpenController(4);
  if tx = ftiFehler then begin
    WriteLn('Hier stimmt etwas nicht : ENDE (Enter-Taste)');
    ReadLn;
    exit;
  end
  else WriteLn('HalloDelphi in Action');
  WriteLn('--- Zum Blinken : I3-Taster');
  while txGetInput(ftiMain, ftiI3) = 0 do Sleep(123);
  WriteLn('Bei der Arbeit');
  for i := 1 to 10 do begin
    WriteLn('Runde : ' + IntToStr(i));
    txSetLamp(ftiMain, ftiO5, ftiFull);
    txSetLamp(ftiMain, ftiO6, ftiOff);
    Sleep(444);
    txSetLamp(ftiMain, ftiO5, ftiOff);
    txSetLamp(ftiMain, ftiO6, ftiFull);
    Sleep(333);
 end;
  txSetLamp(ftiMain, ftiO6, ftiOff);
  txCloseController();
  WriteLn('HalloDelphi beendet'); ReadLn;
end.
