// -----------------------------------------------------------------------------------------
//
// umFish50VC.H                                                       Ulrich Mller 15.11.09
//                                                                    PCS1700       VC++ 6.0
//
// -----------------------------------------------------------------------------------------


#include <Windows.h>

#define ftxOff 0
#define ftxOn 1
#define ftxLeft 1
#define ftxRight 2

#define ftxFull 512
#define ftxHalf 444

#define ftxMain 0
#define ftxExt1 1

#define ftxI1 0
#define ftxI2 1
#define ftxI3 2
#define ftxI4 3
#define ftxI5 4
#define ftxI6 5
#define ftxI7 6
#define ftxI8 7

#define ftxM1 0
#define ftxM2 1
#define ftxM3 2
#define ftxM4 3

#define ftxO1 0
#define ftxO2 1
#define ftxO3 2
#define ftxO4 3
#define ftxO5 4
#define ftxO6 5
#define ftxO7 6
#define ftxO8 7



int  __stdcall txOpenController(int ComNr);
int  __stdcall txCloseController();

int  __stdcall txGetAnalog(int ctrId, int inpNr);
int  __stdcall txGetDistance(int ctrId, int inpNr);
int  __stdcall txGetInput(int ctrId, int inpNr);
int  __stdcall txGetTrack(int ctrId, int inpNr);
int  __stdcall txGetVoltage(int ctrId, int inpNr);

int  __stdcall txGetCounter(int ctrId, int cntNr);
int  __stdcall txClearCounter(int ctrId, int cntNr);

int  __stdcall txSetLamp(int ctrId, int outNr, int OnOff);
int  __stdcall txSetMotor(int ctrId, int outNr, int dir, int speed);
int  __stdcall txStartMotor(int ctrId, int outNr, int dir, int speed, int iCount, int robMode);

int  __stdcall txIsMotorReady(int ctrId, int outNr);

void __stdcall txSleep(int mSek);
int  __stdcall txEsc();
int  __stdcall txGetTickCount();